package com.sw.controller;

import com.sw.domain.SysTest;
import com.sw.domain.SysUser;
import com.sw.service.SysTestService;
import com.sw.service.SysUserService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 测试服务
 *
 * @author yegang
 * @create 2022-02-17 15:25
 **/
@Api(tags = "测试相关接口")
@RestController
public class TestController {
    @Autowired
    SysTestService sysTestService;
    @Autowired
    SysUserService sysUserService;
    @ApiOperation("测试的接口")
    @GetMapping("/test")
    public   List<SysTest>  test(){
        List<SysTest> list = sysTestService.list();
        System.out.println(list);
        System.out.println("this is a new operate");
        return list;
    }
    @GetMapping("/get/{id}")
    @ApiOperation("获取用户的接口")
    @ApiImplicitParam(name = "id" ,required = true)
    public Integer getUser(@PathVariable int id){
        System.out.println("this is test data");
        SysUser user = sysUserService.getById(id);
        return user.getId();
    }

    @GetMapping("/add")
    public void getUser(){
        System.out.println("this is add method");
    }
}
